Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.discovery
Class IncomingSearchRequest

    java.lang.Object
      org.teleal.cling.model.message.UpnpMessage<O>
          org.teleal.cling.model.message.IncomingDatagramMessage<UpnpRequest>
              org.teleal.cling.model.message.discovery.IncomingSearchRequest

    public class IncomingSearchRequest

extends IncomingDatagramMessage<UpnpRequest>

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.UpnpMessage
`UpnpMessage.BodyType`

Constructor Summary
`IncomingSearchRequest(IncomingDatagramMessage<UpnpRequest> source)`

Method Summary
`Integer` | `getMX()`
`UpnpHeader` | `getSearchTarget()`
`boolean` | `isMANSSDPDiscover()`

Methods inherited from class org.teleal.cling.model.message.IncomingDatagramMessage
`getLocalAddress, getSourceAddress, getSourcePort`

Methods inherited from class org.teleal.cling.model.message.UpnpMessage
`getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncomingSearchRequest

    public IncomingSearchRequest(IncomingDatagramMessage<UpnpRequest> source)

Method Detail

### getSearchTarget

    public UpnpHeader getSearchTarget()

### getMX

    public Integer getMX()

### isMANSSDPDiscover

    public boolean isMANSSDPDiscover()

  Returns:
    `true` if this message has a MAN with value `NotificationSubtype.DISCOVER`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.